\begin{tabular}{rrrrrrr}
\toprule
   \# ex &   \# cuv text &   \# tok text &   \# cuv rez &   \# tok rez &   \# cuv com &   \# tok com \\
\midrule
    512 &        20532 &       174366 &        3717 &       11082 &        3348 &        7306 \\
   1024 &        28851 &       338794 &        5860 &       22303 &        5439 &       14880 \\
   2048 &        40659 &       683501 &        8915 &       44917 &        8412 &       30007 \\
   4096 &        57283 &      1383417 &       13192 &       90969 &       12628 &       61029 \\
   8192 &        81904 &      2806091 &       19419 &      183545 &       18720 &      122906 \\
  16384 &       113594 &      5422522 &       27724 &      370248 &       26763 &      244259 \\
  32768 &       165263 &     10852753 &       39688 &      750174 &       38276 &      484196 \\
  65536 &       248343 &     22831690 &       56530 &     1516030 &       54340 &      968154 \\
  90266 &       297945 &     32426335 &       65849 &     2096549 &       63282 &     1334052 \\
\bottomrule
\end{tabular}